package com.fawry.fawry_sdk

import com.fawry.fawrypay.models.FawryLaunchModel
import com.fawry.fawrypay.models.PayableItem
import com.google.gson.Gson
import com.google.gson.GsonBuilder

fun String.toFawryLaunchModel(): FawryLaunchModel {
    var gson: Gson? = null
    val gsonBuilder = GsonBuilder()
    gsonBuilder.registerTypeHierarchyAdapter(PayableItem::class.java, InterfaceAdapter())
    gson = gsonBuilder.create()
    return gson.fromJson(this, FawryLaunchModel::class.java)
}